package com.ruoyi.ss.vipOrder.mapper;

import com.ruoyi.ss.vipOrder.domain.VipOrder;
import com.ruoyi.ss.vipOrder.domain.VipOrderQuery;
import com.ruoyi.ss.vipOrder.domain.VipOrderVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 会员订单Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public interface VipOrderMapper
{
    /**
     * 查询会员订单
     *
     * @param id 会员订单主键
     * @return 会员订单
     */
    VipOrderVO selectVipOrderById(Long id);

    /**
     * 查询会员订单列表
     *
     * @param query 会员订单
     * @return 会员订单集合
     */
    List<VipOrderVO> selectVipOrderList(@Param("query")VipOrderQuery query);

    /**
     * 新增会员订单
     *
     * @param vipOrder 会员订单
     * @return 结果
     */
    int insertVipOrder(VipOrder vipOrder);

    /**
     * 修改会员订单
     *
     * @param vipOrder 会员订单
     * @return 结果
     */
    public int updateVipOrder(@Param("data") VipOrder vipOrder);

    /**
     * 删除会员订单
     *
     * @param id 会员订单主键
     * @return 结果
     */
    int deleteVipOrderById(Long id);

    /**
     * 批量删除会员订单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVipOrderByIds(Long[] ids);

    /**
     * 根据条件更新会员订单
     *
     * @param data 会员订单
     * @param query 会员订单
     * @return 结果
     */
    int updateByQuery(@Param("data") VipOrder data, @Param("query") VipOrderQuery query);
}
